Subject: Re: linux-next: Tree for September 3 (ar6k)

From: Greg KH <[email-masked]>
Date: Fri, 3 Sep 2010 19:16:27 -0700

On Fri, Sep 03, 2010 at 07:02:36PM -0700, Vipin Mehta wrote:
> Apologies for the inconvenience. I synced to the linux-next tree and looked into the drivers/staging/ath6kl directory. I was able to compile the driver without any issues.
> 
> One of the reasons this might happen is if the following symbolic link is broken.
> 
> drivers/staging/ath6kl/include/common/AR6002/hw2.0/hw
> 
> The link should point to drivers/staging/ath6kl/include/common/AR6002/hw2.0/hw.0

I applied the patch and the symlink "should" be there, but in general,
we shouldn't rely on a symlink in the kernel tree to work properly.

Can you send me a patch to fix this up so it works without a symlink?

thanks,

greg k-h